GuidesAPI Reference
Guides

EVSEs Bulk



This resource retrieves a bulk list of electric vehicle supply equipment ports (EVSEs) for electric vehicles sorted by a list of pool IDs.

Requests for this resource use the HTTP GET method.

Request Example

The code block below shows a bulk request for charging stations using a bearer token.

GET 
https://ev-v2.cc.api.here.com/ev/evses/bulk.json?
id={id}
-H 'Authorization: Bearer {YOUR_TOKEN}'

The code block below shows a bulk request for charging stations using an API Key.

GET
https://ev-v2.cc.api.here.com/ev/evses/bulk.json?id=ABC&id=XYZ&apiKey={YOUR_API_KEY};

The code block below shows a bulk request for charging stations by multiple EVSE IDs using a bearer token.

GET
https://ev-v2.cc.api.here.com/ev/evses/bulk.json?id=ABC&id=XYZ
-H 'Authorization: Bearer {YOUR_TOKEN}'

The code block below shows a bulk request for charging stations by multiple EVSE IDs using an API Key.

GET
https://ev-v2.cc.api.here.com/ev/evses/bulk.json?id=ABC&id=XYZ&apiKey={YOUR_API_KEY};         

Request Parameters

The table below documents the mandatory request parameter supported by this resource.

ParameterRequiredDescription
idRequiredThe id in the poolId attribute in the evStation element.

Response to this Request

For more information on responses to queries to the evses/bulk resource, see EVSEs Response.